%define	name	ia32-libs
%define version 2016
%define release %mkrel 1

%define dont_strip 1 

Summary:	Basic ia32 libs for PCLinuxOS
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.xz
Source1:	ia32.conf
URL:		http://www.pclinuxos
Obsoletes:      %name < %version
BuildRoot: 	%_tmppath/%name-%version
Provides: libSM.so.6
Provides: libICE.so.6
Provides: libX11.so.6
Provides: libXau.so.6
Provides: libXdmcp.so.6
Provides: libXext.so.6
Provides: libXi.so.6
Provides: libXrandr.so.2
Provides: libXrender.so.1
Provides: libXss.so.1
Provides: libXv.so.1
Provides: libasound.so.2
Provides: libfontconfig.so.1
Provides: libfreetype.so.6
Provides: libglib-2.0.so.0
Provides: libgthread-2.0.so.0
Provides: libpcre.so.0
Provides: libxcb.so.1
Provides: libxml2.so.2
Provides: libcurl.so.4
Provides: libcrypto.so.1.0.0
Provides: libgssapi_krb5.so.2
Provides: libidn.so.11
Provides: liblber-2.4.so.2
Provides: libldap-2.4.so.2
Provides: librtmp.so.0
Provides: libssh2.so.1
Provides: libssl.so.1.0.0
Provides: libcom_err.so.2
Provides: libk5crypto.so.3
Provides: libkeyutils.so.1
Provides: libkrb5.so.3
Provides: libkrb5support.so.0
Provides: libsasl2.so.2
Provides: libdrm.so.2
Provides: libXdamage.so.1
Provides: libXfixes.so.3
Provides: libXtst.so.6
Provides: libXxf86vm.so.1
Provides: liblcms.so.1
Provides: libcups.so.2
Provides: libnss_mdns.so.2
Provides: libpng12.so
Provides: libpng.so
Provides: libavahi-common.so.3
Provides: libavahi-client.so.3
Provides: libdbus-1.so.3
Provides: libXmu.so.6
Provides: libXt.so.6
Provides: libdrm_radeon.so.1
Provides: libdrm_intel.so.1
Provides: libpciaccess.so.0
Provides: libGL.so.1
Provides: libGLU.so.1
Provides: libgmodule-2.0.so.0
Provides: libgobject-2.0.so.0
Provides: libgphoto2_port.so.0
Provides: libgphoto2.so.2
Provides: libgstapp-0.10.so.0
Provides: libgstbase-0.10.so.0
Provides: libgstreamer-0.10.so.0
Provides: libldap_r-2.4.so.2
Provides: libmpg123.so.0
Provides: libopenal.so.1
Provides: libexif.so.12
Provides: libffi.so.5
Provides: libltdl.so.7
Provides: libncurses.so.5
Provides: libglapi.so.0 
Provides: libX11-xcb.so.1
Provides: libxcb-dri2.so.0
Provides: libxcb-glx.so.0
Provides: libQtCore.so.4
Provides: libQtDBus.so.4
Provides: libQtGui.so.4
Provides: libQtNetwork.so.4
Provides: libQtWebKit.so.4
Provides: libQtXml.so.4
Provides: libEGL.so.1
Provides: libXinerama.so.1
Provides: libgio-2.0.so.0
Provides: libgstinterfaces-0.10.so.0
Provides: libgstpbutils-0.10.so.0
Provides: libgstvideo-0.10.so.0
Provides: libpng12.so.0
Provides: libsqlite3.so.0
Provides: libudev.so.0
Provides: libxcb-xfixes.so.0
Provides: libgmodule-2.0.so.0
Provides: libpulse-mainloop-glib.so.0
Provides: libpulse-simple.so.0
Provides: libpulse.so.0
Provides: libpulsecommon-4.0.so
Provides: libpulsedsp.so
Provides: libwrap.so.0
Provides: libasyncns.so.0
Provides: libcap.so.2
Provides: libjson.so.0
Provides: libsndfile.so.1
Provides: libvorbis.so.0
Provides: libFLAC.so.8
Provides: libogg.so.0
Provides: libvorbisenc.so.2
Provides: libusb-0.1.so.4
Provides: libusb-1.0.so.0
Provides: liblcms2.so.2
Provides: libgettextpo.so.0
Provides: libintl.so.8
Provides: libunistring.so.0
Provides: libxcb-dri3.so.0
Provides: libxcb-present.so.0
Provides: libxcb-sync.so.0
Provides: libxshmfence.so.1
Provides: libwayland-server.so.0
Provides: libwayland-client.so.0
Provides: libharfbuzz.so.0
Provides: libgbm.so.1
Provides: libbz2.so.1
Provides: libgraphite2.so.3
Provides: libgphoto2.so.6
Provides: libgphoto2_port.so.10
Provides: libjpeg.so.62
Provides: libpcap.so.1
Provides: libnl.so.1

%description
This package provides some basic 32bit libraries
primarly for running Skype.


%prep
export 
%setup -q -n libs32


%install
rm -rf %buildroot
export DONT_STRIP=1

mkdir -p %buildroot/opt/libs32
cp * %buildroot/opt/libs32

mkdir -p %buildroot/etc/ld.so.conf.d
install -m 0644 %SOURCE1 %buildroot/etc/ld.so.conf.d

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root)
/opt/libs32
/etc/ld.so.conf.d

%changelog
* Mon Oct 03 2016 adrianomorselli <adrianomorselli> 2016-1uplos2016
- rebuild

* Sat Jan 23 2016 bb <bb> 2016-1pclos2016
- update for wine 1.8

* Thu Dec 04 2014 bb <bb> 2014-3pclos2014
- udpate for teamviewer 10

* Wed Sep 02 2014 bb <bb> 2014-2pclos2014
- update for gphoto libs

* Tue Jul 01 2014 bb <bb> 2014-1pclos2014
- update

* Thu Jan 16 2014 bb <bb> 2013-10pclos2014
- add libgettextpo.so.0 for special netflix wine

* Tue Jan 14 2014 bb <bb> 2013-9pclos2014
- add 32bit liblcms2.so.2 for wine 1.6.2

* Thu Dec 18 2013 billybot <billybot> 2013-8-1pclos2013
- update libusb 32 bit

* Thu Jul 18 2013 Texstar <texstar at gmail.com> 2013-7pclos2013
- add libusb-0.1.so.4 for Wine32

* Wed Jul 03 2013 Texstar <texstar at gmail.com> 2013-6pclos2013
- add 32 bit pulse libraries

* Mon Jun 24 2013 Texstar <texstar at gmail.com> 2013-5pclos2013
- add more 32 bit libraries

* Wed May 29 2013 Texstar <texstar at gmail.com> 2013-4pclos2013
- refresh xorg libs from 32bit install

* Thu May 02 2013 Texstar <texstar at gmail.com> 2013-3pclos2013
- add ncurses lib

* Thu May 02 2013 Texstar <texstar at gmail.com> 2013-2pclos2013
- add more 32bit libraries

* Wed May 01 2013 Texstar <texstar at gmail.com> 2013-1pclos2013
- add libdrm_radeon and libdrm_intel for broken dep fix

* Sat Apr 27 2013 Texstar <texstar at gmail.com> 2012-7pclos2013
- add back libwine.so.1

* Fri Apr 26 2013 Texstar <texstar at gmail.com> 2012-6pclos2013
- add support for softmaker 

* Wed Apr 24 2013 Texstar <texstar at gmail.com> 2012-5pclos2013
- remove libwine.so

* Fri Apr 19 2013 Texstar <texstar at gmail.com> 2012-4pclos2013
- add more 32bit libs for crossover to work on 64 bit

* Thu Apr 18 2013 Texstar <texstar at gmail.com> 2012-3pclos2013
- add liblcms.so.1

* Mon Feb 27 2012 Neal <nealbrks0 at gmail dot com> 2012-1pclos2012
- process

* Mon Feb 27 2012 pinoc <vogtpet at gmail.com> 2012-1pclos2012
- add libXtst and libwine for TeamViewer to work

* Tue Dec 06 2011 Texstar <texstar at gmail.com> 2011-3pclos2011
- remove GL libs 

* Mon Dec 05 2011 Texstar <texstar at gmail.com> 2011-2pclos2011
- add more 32bit libs

* Mon Sep 19 2011 Texstar <texstar at gmail.com> 2011-1pclos2011
- create package for skype
